--- old/usr/src/man/man5/Makefile	Fri Aug  8 13:32:23 2014
+++ new/usr/src/man/man5/Makefile	Fri Aug  8 13:32:23 2014
@@ -54,6 +54,7 @@
 		hal.5			\
 		iconv.5			\
 		iconv_unicode.5		\
+		ieee802.3.5		\
 		ieee802.11.5		\
 		ipfilter.5		\
 		isalist.5		\
--- /dev/null	Fri Aug  8 13:32:24 2014
+++ new/usr/src/man/man5/ieee802.3.5	Fri Aug  8 13:32:24 2014
@@ -0,0 +1,501 @@
+.\" Copyright 2014 Garrett D'Amore <garrett@damore.org>
+.\" Redistribution and use in source and binary forms, with or without
+.\" modification, are permitted provided that the following conditions
+.\" are met:
+.\" 1. Redistributions of source code must retain the above copyright
+.\"    notice, this list of conditions and the following disclaimer.
+.\" 2. Redistributions in binary form must reproduce the above copyright
+.\"    notice, this list of conditions and the following disclaimer in the
+.\"    documentation and/or other materials provided with the distribution.
+.\"
+.\" THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDER AND CONTRIBUTORS
+.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+.\" LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
+.\" FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE
+.\" COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
+.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
+.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
+.\" USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
+.\" ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+.\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
+.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE
+.\"
+.Dd "Aug 7, 2014"
+.Dt IEEE802.3 5
+.Os
+.Sh NAME
+.Nm ieee802.3
+.Nd IEEE 802.3 Ethernet parameters and statistics
+.Sh DESCRIPTION
+The IEEE 802.3 standard specifies the details for Ethernet
+networking.  This page describes the various statistics and tunables
+that device drivers supporting Ethernet commonly offer.
+.
+Note that not every device or driver supports every one of these
+values, and many devices offer additional statistics and tunables that
+are specific to that hardware.  See the device driver's documentation
+for those specific details.
+.
+.Lp
+Values that are statistics are visible
+.Xr kstat 1M ,
+whereas properties are visible using the
+.Xr dladm 1M
+.Sy show-linkprop
+subcommand.  Tunables are properties that can be changed using the
+.Xr dladm 1M
+.Sy set-linkprop
+subcommand.  A more useful summary of current operational
+state can be seen with the
+.Xr dladm 1M
+.Sy show-ether
+subcommand.
+.
+.Ss Statistics
+The following statistics are accessible with
+.Xr kstat 1M .
+Note that some statistics are available in both 32- and 64-bit counters,
+in which case the name of the 64 bit statistic will be the same as the
+32-bit, but with
+.Dq Sy 64
+appended.  For example,
+.Sy ipackets64
+is the 64-bit version of the
+.Sy ipackets
+statistic. These are indicated with the special suffix
+.Op Sy 64
+in the table below.
+.
+.Bl -tag -width tx_late_collisions
+.It Sy adv_cap_1000fdx
+Advertises 1000 Mbps full-duplex support.
+.It Sy adv_cap_1000hdx
+Advertises 1000 Mbps half-duplex support.
+.It Sy adv_cap_100fdx
+Advertises 100 Mbps full-duplex support.
+.It Sy adv_cap_100hdx
+Advertises 100 Mbps half-duplex support.
+.It Sy adv_cap_100T4
+Advertises 100BASE-T4 support.
+.It Sy adv_cap_10fdx
+Advertises 10 Mbps full-duplex support.
+.It Sy adv_cap_10gfdx
+Advertises 10 Gbps support.
+.It Sy adv_cap_10hdx
+Advertises 10 Mbps half-duplex support.
+.It Sy adv_cap_autoneg
+Advertises auto-negotiation support.
+.It Sy adv_cap_asmpause
+Advertises asymmetric flow control support.
+.It Sy adv_cap_pause
+Advertises flow control support.
+.It Sy adv_rem_fault
+Remote fault status sent to peer.
+.It Sy align_errors
+Mis-aligned frames received.
+.It Sy brdcstrcv
+Broadcast frames received.
+.It Sy brdcstxmt
+Broadcast frames transmitted.
+.It Sy cap_1000fdx
+Device supports 1000 Mbps full-duplex.
+.It Sy cap_1000hdx
+Device supports 1000 Mbps half-duplex.
+.It Sy cap_100fdx
+Device supports 100 Mbps full-duplex.
+.It Sy cap_100hdx
+Device supports 100 Mbps half-duplex.
+.It Sy cap_100T4
+Device supports 100BASE-T4.
+.It Sy cap_10fdx
+Device supports 10 Mbps full-duplex.
+.It Sy cap_10gfdx
+Device supports 10 Gpbs.
+.It Sy cap_10hdx
+Device supports 10 Mbps half-duplex.
+.It Sy cap_asmpause
+Device supports asymmetric flow control.
+.It Sy cap_autoneg
+Device supports auto-negotiation.
+.It Sy cap_pause
+Device supports symmetric flow control.
+.It Sy cap_rem_fault
+Device supports remote fault notification.
+.It Sy carrier_errors
+Frames dropped due to loss of link.
+.It Sy collisions
+Collisions.
+.It Sy defer_xmts
+Transmits deferred due to link activity.
+.It Sy ex_collisions
+Frames dropped due to too many collisions.
+.It Sy fcs_errors
+Frames received with bad frame checksum.
+.It Sy first_collisions
+Frames with at least one collision.
+.It Sy ierrors
+Receive errors.
+.It Sy ifspeed
+Link speed in bits per second.
+.It Sy ipackets Ns Op Sy 64
+Frames received successfully.
+.It Sy jabber_errors
+Jabber errors.
+.It Sy link_asmpause
+Asymmetric flow control; works together with
+.Sy link_pause .
+See the description for it below.
+.It Sy link_autoneg
+Link was auto-negotiated.
+.It Sy link_duplex
+Link duplex status, values as follows:
+.Bl -column "0" infinity
+.It 0 Ta Unknown.
+.It 1 Ta Half-duplex.
+.It 2 Ta Full-duplex.
+.El
+.It Sy link_pause
+Link flow control available; works together with
+.Sy link_asmpause .
+The meanings of these bits are:
+.Bl -column "pause" "asmpause"
+.It Sy pause Ta Sy asmpause Ta Sy meaning
+.It 0 Ta 0 Ta "No flow control."
+.It 1 Ta 0 Ta Symmetric flow control.
+.It 0 Ta 1 Ta Honor received pause frames.
+.It 1 Ta 1 Ta Send pause frames when congested.
+.El
+.It Sy link_state
+Link state; 0 for down, 1 for up.
+.It Sy link_up
+Link is up if 1.
+.It Sy lp_cap_1000fdx
+Peer supports 1000 Mbps full-duplex.
+.It Sy lp_cap_1000hdx
+Peer supports 1000 Mbps half-duplex.
+.It Sy lp_cap_100fdx
+Peer supports 100 Mbps full-duplex.
+.It Sy lp_cap_100hdx
+Peer supports 100 Mbps half-duplex.
+.It Sy lp_cap_100T4
+Peer supports 100BASE-T4.
+.It Sy lp_cap_10fdx
+Peer supports 10 Mbps full-duplex.
+.It Sy lp_cap_10gfdx
+Peer supports 10 Gbps.
+.It Sy lp_cap_10hdx
+Peer supports 10 Mbps half-duplex.
+.It Sy lp_cap_asmpause
+Peer supports asymmetric flow control.
+.It Sy lp_cap_autoneg
+Peer supports auto-negotiation.
+.It Sy lp_cap_pause
+Peer advertises flow control support.
+.It Sy lp_rem_fault
+Peer announces a remote fault.
+.It Sy macrv_errors
+Generic receive errors.
+.It Sy macxmt_errors
+Generic transmit errors.
+.It Sy multi_collisions
+Frames with more than one collision.
+.It Sy multircv
+Multicast frames received.
+.It Sy multixmt
+Multicast frames transmitted.
+.It Sy norcvbuf
+Receive frames dropped due to lack of resources.
+.It Sy noxmtbuf
+Transmit frames dropped due to lack of resources.
+.It Sy obytes Ns Op Sy 64
+Bytes (octets) transmitted successfully.
+.It Sy oerrors
+Transmit errors.
+.It Sy oflo
+Overflow errors.
+.It Sy opackets Ns Op Sy 64
+Frames successfully transmitted.
+.It Sy promisc
+Interface is in promiscuous mode.
+.It Sy rbytes Ns Op Sy 64
+Bytes (octets) received successfully.
+.It Sy runt_errors
+Frames received that were too short.
+.It Sy sqe_errors
+Squelch errors.
+.It Sy toolong_errors
+Frames received that were too long.
+.It Sy tx_late_collisions
+Late collisions on transmit.
+.It Sy uflo
+Underflow errors.
+.It Sy unknowns
+Frames received with no local recipient.
+.It Sy xcvr_addr
+Transceiver address.
+.It Sy xcvr_id
+Transceiver vendor and device ID.
+.It Sy xcvr_inuse
+Identifies the type of transceiver in use.  Values are as follows:
+.Bl -column "0"
+.It 0 Ta Unknown or undefined.
+.It 1 Ta None.
+.It 2 Ta 10 Mbps
+.It 3 Ta 100BASE-T4
+.It 4 Ta 100BASE-X
+.It 5 Ta 100BASE-T2
+.It 6 Ta 1000BASE-X
+.It 7 Ta 1000BASE-T
+.El
+.El
+.Ss Properties
+The following parameters are accessible with
+.Xr dladm 1M .
+Some of these are normally read-only.  Other properties that are not
+specific to IEEE 802.3 / Ethernet links are also available via
+.Xr dladm 1M ,
+and are documented in its man page rather than here.
+.
+.Bl -tag -width adv_1000hdx_cap
+.It Sy speed
+Link speed, in Mbps per second (dladm only).
+.It Sy duplex
+Link duplex, either "full" or "half".
+.It Sy state
+Link state, either "up" or "down".
+.It Sy mtu
+Maximum link frame size in bytes. See
+.Sx Jumbo Frames .
+.It Sy flowctrl
+Flow control setting, one of \(dqno\(dq, \(dqtx\(dq, \(dqrx\(dq, or \(dqbi\(dq.
+See
+.Sx Flow Control .
+.It Sy adv_10gfdx_cap
+Advertising 10 Gbps support.
+.It Sy en_10gfdx_cap
+Enable 10 Gbps support.
+.
+.It Sy adv_1000fdx_cap
+Advertising 1000 Mbps full-duplex support.
+.It Sy en_1000fdx_cap
+Enable 1000 Mbps full-duplex.
+.
+.It Sy adv_1000hdx_cap
+Advertising 1000 Mbps half-duplex support.
+.It Sy en_1000hdx_cap
+Enable 1000 Mbps half-duplex.
+.
+.It Sy adv_100fdx_cap
+Advertising 100 Mbps full-duplex support.
+.It Sy en_100fdx_cap
+Enable 100 Mbps full-duplex.
+.
+.It Sy adv_100hdx_cap
+Advertising 100 Mbps half-duplex support.
+.It Sy en_100hdx_cap
+Enable 100 Mbps half-duplex.
+.
+.It Sy adv_10fdx_cap
+Advertising 10 Mbps full-duplex support.
+.It Sy en_10fhdx_cap
+Enable 100 Mbps full-duplex.
+.
+.It Sy adv_10hdx_cap
+Advertising 10 Mbps half-duplex support.
+.It Sy en_10fhdx_cap
+Enable 10 Mbps half-duplex.
+.El
+.Ss Auto-negotiation
+With modern devices, auto-negotiation is normally handled automatically.  With
+10 Gbps and 1000 Gbps, it is mandatory.  (10GBASE-T also requires full-duplex
+operation.) It is also
+.Em strongly
+recommended for use whenever possible; without auto-negotiation the link
+will usually not operate unless both partners are configured to use the
+same link mode.
+.Lp
+Auto-negotiation, when enabled, takes place by comparing the local capabilities
+that have been advertised (which must also be supported by the local device),
+with the capabilities that have been advertised by the link partner (peer).
+.
+The first of the following modes that is supported by both partners is
+selected as the link negotiation result:
+.Lp
+.Bl -bullet -offset indent -compact
+.It
+10 Gbps (10gfdx)
+.It
+1000 Mbps full-duplex (1000fdx)
+.It
+1000 Mbps half-duplex (1000hdx)
+.It
+100 Mbps full-duplex (100fdx)
+.It
+100BASE-T4 (100T4)
+.It
+100 Mbps half-duplex (100hdx)
+.It
+10 Mbps full-duplex (10fdx)
+.It
+10 Mbps half-duplex (10hdx)
+.El
+.Lp
+Advertisement of these modes can be enabled or disabled by setting the
+appropriate
+.Sy en_
+property in
+.Xr dladm 1M .
+.Lp
+Auto-negotation may also be disabled, by setting the
+.Sy adv_autoneg_cap
+property to 0.  In this case, the highest enabled link mode (using the above
+list) is
+.Dq forced
+for the link.
+.Ss Flow Control
+Link layer flow control is available on many modern devices, and is mandatory
+for operation at 10 Gbps. It requires that the link be auto-negotiated, and
+that the link be full-duplex, in order to function.
+.Lp
+Flow control is applied when a receiver becomes congested.  In this case the
+receiver can send a special frame, called a pause frame, to request its
+partner cease transmitting for a short period of time.
+.Lp
+Flow control can be said to be either symmetric, in which case both partners
+can send and honor pause frames, or asymmetric, in which case one partner
+may not transmit pause frames.
+.Lp
+The flow control mode used is driven by the
+.Sy flowctrl
+property.  It has the following meanings:
+.Lp
+.Bl -column -compact -offset indent Dv
+.It \(dqno\(dq Ta Neither send, nor honor pause frames.
+.It \(dqtx\(dq Ta Send pause frames, provided that the peer can support them,
+but do not honor them.
+.It \(dqrx\(dq Ta Receive and honor pause frames.
+.It \(dqbi\(dq Ta Both send and receive (and honor) pause frames.
+.El
+.Lp
+The statistics for flow control
+.Po Sy adv_cap_pause , adv_cap_asmpause , lp_cap_pause , lp_cap_asmpause ,
+.Sy link_pause ,
+and
+.Sy link_asmpause
+.Pc
+are based on the properties exchanged in the auto-negotiation and are
+confusing as a result.  Administrators are advised to use the
+.Sy flowctrl
+property instead.
+.
+.Ss Jumbo Frames
+The IEEE 802.3 standard specifies a standard frame size of 1518 bytes,
+which includes a 4-byte frame checksum, a 14-byte header, and 1500 bytes
+of payload.  Most devices support larger frame sizes than this, and
+when all possible parties on the same local network can do so, it may be
+advantageous to choose a larger frame size; 9000 bytes is the most common
+option, as it allows a transport layer to convey 8 KB (8192) of data, while
+leaving room for various link, network, and transport layer headers.
+.Lp
+Note that the use of frames carrying more than 1500 bytes of payload is
+not standardized, even though it is common practice.
+.Lp
+The
+.Sy mtu
+property is used to configure the frame size.  Note that this is the size of
+the payload, and excludes the preamble, checksum, and header.  It also excludes
+the tag for devices that support tagging (see
+.Sx Virtual LANs
+below).
+.Lp
+Care must be taken to ensure that all communication parties agree on the same
+size, or communication may cease to function properly.
+.Lp
+Note that the
+.Sy mtu
+property refers to the link layer property.  It may be necessary to configure
+upper layer protocols such as IP to use a different size when this changes.
+See
+.Xr ifconfig 1M .
+.
+.Ss Virtual LANs
+Most devices support virtual LANs (and also priority control tagging) though
+the use of a 4-byte tag inserted between the frame header and payload.  The
+details of configuration of this are covered in the
+.Xr dladm 1M
+manual.
+.
+.Ss Data Link Provider Interface (DLPI) Details
+.
+The correct method for applications to access Ethernet devices directly
+is to use the DLPI. See
+.Xr dlpi 7P
+and
+.Xr libdlpi 3LIB
+for further information.
+.Lp
+The following DLPI parameters are presented to applications.
+.Bl -column -offset indent "Broadcast address"
+.It Maximum SDU Ta 1500 (or larger, as determined by the Sy mtu No property.)
+.It Minimum SDU Ta 0
+.It Address length Ta 6
+.It MAC type Ta Dv DL_ETHER
+.It SAP length Ta \(mi2
+.It Service mode Ta Dv DL_CLDLS
+.It Broadcast address Ta Li ff:ff:ff:ff:ff:ff No (6 bytes with all bits set)
+.El
+.Lp
+Note that if the application binds to SAP of 0, then standard IEEE 802.3
+mode is assumed and the frame length is stored in place of the Ethernet type.
+Frames that arrive with the type field set to 1500 or less, are delivered
+to applications that bind to SAP 0.
+.Lp
+Ethernet drivers on the support both DLPI style 1 and style 2 operation.
+Additionally, it is possible to configure provide
+.Dq vanity
+names to interfaces using the
+.Xr dladm 1M
+.Sy rename-link
+subcommand.  Such vanity names are only accessible using DLPI style 1.
+.Sh NOTES
+There may be other mechanisms available to configure link layer properties.
+Historically the
+.Xr ndd 1M
+command, and
+.Xr driver.conf 4
+files could be used to do this.  These methods are deprecated in favor of
+.Xr dladm 1M
+properties.
+.
+.Sh INTERFACE STABILITY
+When present, the statistics and properties presented here
+are
+.Sy Committed .
+However, note that not every Ethernet device supports all of these,
+and some devices may support additional statistics and properties.
+.Lp
+The DLPI and IEEE 802.3 itself are
+.Sy Standard .
+.Sh SEE ALSO
+.Xr dladm 1M ,
+.Xr ifconfig 1M ,
+.Xr kstat 1M ,
+.Xr netstat 1M ,
+.Xr ndd 1M ,
+.Xr libdlpi 3LIB ,
+.Xr driver.conf 4 ,
+.Xr dlpi 7P
+.Rs
+.%T IEEE 802.3: Ethernet
+.%Q IEEE Standards Association
+.Re
+.Rs
+.%B Data Link Provider Interface (DLPI)
+.%Q The Open Group
+.%D 1997
+.Re
+.Rs
+.%B STREAMs Programming Guide
+.%Q Sun Microsystems, Inc.
+.%D January 2005
+.Re
--- old/usr/src/man/man7d/Makefile	Fri Aug  8 13:32:24 2014
+++ new/usr/src/man/man7d/Makefile	Fri Aug  8 13:32:24 2014
@@ -41,6 +41,7 @@
 		dmfe.7d		\
 		dtrace.7d	\
 		ehci.7d		\
+		elxl.7d		\
 		fasttrap.7d	\
 		fbt.7d		\
 		fcip.7d		\
@@ -70,6 +71,7 @@
 		igb.7d		\
 		ii.7d		\
 		ipnet.7d	\
+		iprb.7d		\
 		iscsi.7d	\
 		iser.7d		\
 		ixgbe.7d	\
@@ -107,6 +109,7 @@
 		ramdisk.7d	\
 		random.7d	\
 		rge.7d		\
+		rtls.7d		\
 		sad.7d		\
 		sata.7d		\
 		scsa1394.7d	\
--- old/usr/src/man/man7d/afe.7d	Fri Aug  8 13:32:24 2014
+++ new/usr/src/man/man7d/afe.7d	Fri Aug  8 13:32:24 2014
@@ -1,239 +1,66 @@
-'\" te
-.\" Copyright (c) 2001-2007 by Garrett D'Amore.
-.\" Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met: 1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
-.\" 2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution. 3. Neither the name of the author nor the names of any co-contributors may be used to endorse
-.\" or promote products derived from this software    without specific prior written permission.  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDER AND CONTRIBUTORS ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
-.\" FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
-.\" OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE
-.\" Portions Copyright (c) 2007 by Sun Microsystems, Inc.  All Rights Reserved.
-.TH AFE 7D "Apr 1, 2007"
-.SH NAME
-afe \- ADMtek Fast Ethernet device driver
-.SH SYNOPSIS
-.LP
-.nf
-\fB/dev/afe\fR
-.fi
-
-.SH DESCRIPTION
-.sp
-.LP
-The \fBafe\fR driver is a multi-threaded,  loadable, clonable, GLD-based
-STREAMS  driver supporting the Data Link Provider Interface \fBdlpi\fR(7P) on
-ADMtek (now Infineon) Centaur and Comet Fast Ethernet controllers.
-.SH APPLICATION PROGRAMMING INTERFACE
-.sp
-.LP
-The \fBafe\fR driver can be used as either a "style 1" or a "style 2" Data Link
-Service Provider. Physical points of attachment (PPAs) are interpreted as the
-instance  number of the \fBafe\fR controller as assigned by the Solaris
-operating environment.
-.sp
-.LP
-The relevant fields returned as part of a \fBDL_INFO_ACK\fR response are:
-.RS +4
-.TP
-.ie t \(bu
-.el o
-Maximum SDU is 1500.
-.RE
-.RS +4
-.TP
-.ie t \(bu
-.el o
-Minimum SDU is 0.
-.RE
-.RS +4
-.TP
-.ie t \(bu
-.el o
-The dlsap address length is 8.
-.RE
-.RS +4
-.TP
-.ie t \(bu
-.el o
-MAC type is \fBDL_ETHER\fR.
-.RE
-.RS +4
-.TP
-.ie t \(bu
-.el o
-SAP length is -2. The 6-byte physical address is followed immediately by a
-2-byte SAP.
-.RE
-.RS +4
-.TP
-.ie t \(bu
-.el o
-Service mode is \fBDL_CLDLS\fR.
-.RE
-.RS +4
-.TP
-.ie t \(bu
-.el o
-Broadcast address is the 6-byte Ethernet broadcast address
-(\fBff:ff:ff:ff:ff:ff\fR).
-.RE
-.sp
-.LP
-If the SAP provided is zero, then \fIIEEE 802.3\fR mode is assumed and outbound
-frames will have the frame payload length written into the type field.
-Likewise, inbound frames with a SAP between zero and 1500 are interpreted as
-\fIIEEE 802.3\fR frames and delivered to any streams that are bound to SAP zero
-(the \fI802.3\fR SAP).
-.SH PROPERTIES
-.sp
-.LP
-The following properties  may  be  configured  using  either \fBndd\fR(1M) or
-the \fBafe.conf\fR configuration file as described by \fBdriver.conf\fR(4):
-.sp
-.ne 2
-.na
-\fB\fBadv_autoneg_cap\fR\fR
-.ad
-.sp .6
-.RS 4n
-Enables (default) or disables \fIIEEE 802.3u\fR auto-negotiation of link speed
-and duplex settings. If enabled, the device negotiates among the supported (and
-configured, see below) link options with the link partner.  If disabled, at
-least one of the link options below must be specified. The driver selects the
-first enabled link option according to the \fIIEEE 802.3u\fR specified
-preferences.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBadv_100T4_cap\fR\fR
-.ad
-.sp .6
-.RS 4n
-Enables the 100 BaseT4 link option.  (Note that most hardware does not support
-this unusual link style.  Also, this uses two pairs of wires for data, rather
-than one.)
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBadv_100fdx_cap\fR\fR
-.ad
-.sp .6
-.RS 4n
-Enables the 100 Base TX full-duplex link option. (This is generally the fastest
-mode if both link partners support it. Most modern equipment supports this
-mode.)
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBadv_100hdx_cap\fR\fR
-.ad
-.sp .6
-.RS 4n
-Enables the 100 Base TX half-duplex link option. (Typically used when the link
-partner is a 100 Mbps hub.)
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBadv_10fdx_cap\fR\fR
-.ad
-.sp .6
-.RS 4n
-Enables the 10 Base-T full-duplex link option.  (This less-frequently used mode
-is typically used when the link partner is a 10 Mbps switch.)
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBadv_10hdx_cap\fR\fR
-.ad
-.sp .6
-.RS 4n
-Enables the 10 Base-T half-duplex link option.  (This is the fall-back when no
-other option is available.  It is typically used when the link partner is a 10
-Mbps hub or is an older network card.)
-.RE
-
-.SH ATTRIBUTES
-.sp
-.LP
-See \fBattributes\fR(5) for a description of the following attributes:
-.sp
-
-.sp
-.TS
-box;
-c | c
-l | l .
-ATTRIBUTE TYPE	ATTRIBUTE VALUE
-_
-Architecture	SPARC, x86
-_
-Interface Stability 	Committed
-.TE
-
-.SH FILES
-.sp
-.ne 2
-.na
-\fB\fB/dev/afe\fR\fR
-.ad
-.sp .6
-.RS 4n
+.\" Copyright 2014 Garrett D'Amore <garrett@damore.org>
+.\" Redistribution and use in source and binary forms, with or without
+.\" modification, are permitted provided that the following conditions
+.\" are met:
+.\" 1. Redistributions of source code must retain the above copyright
+.\"    notice, this list of conditions and the following disclaimer.
+.\" 2. Redistributions in binary form must reproduce the above copyright
+.\"    notice, this list of conditions and the following disclaimer in the
+.\"    documentation and/or other materials provided with the distribution.
+.\"
+.\" THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDER AND CONTRIBUTORS
+.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+.\" LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
+.\" FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE
+.\" COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
+.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
+.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
+.\" USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
+.\" ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+.\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
+.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE
+.\"
+.Dd "Aug 3, 2014"
+.Dt AFE 7D
+.Os
+.Sh NAME
+.Nm afe
+.Nd ADMtek Fast Ethernet device driver
+.Sh SYNOPSIS
+.Pa /dev/afe
+.Sh DESCRIPTION
+The
+.Nm
+driver provides support for the Centaur and Comet families of Fast Ethernet
+PCI controllers originally produced by ADMtek and Infineon.
+.Lp
+These devices generally support the standard Fast Ethernet features, including
+10BASE-T and 100BASE-TX, both full and half duplex operation, IEEE 802.3
+autonegotiation, etc.  They also support full size MTUs (1500 bytes),
+even when used with VLANs.  Most of them also support flow control.
+.
+.Lp
+The device driver supports the
+.Xr ieee802.3 5
+properties, which can be configured with
+.Xr dladm 1M .
+.
+.\" The driver also has a "forcefiber" driver.conf setting, but this is for
+.\" very very obscure hardware, and we are not documenting this option
+.\" for now.
+.
+.Sh FILES
+.Bl -tag -width /dev/afe
+.It Pa /dev/afe
 Special character device.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB/kernel/drv/afe\fR\fR
-.ad
-.sp .6
-.RS 4n
-32-bit driver binary (x86).
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB/kernel/drv/amd64/afe\fR\fR
-.ad
-.sp .6
-.RS 4n
-64-bit driver binary (x86).
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB/kernel/drv/sparcv9/afe\fR\fR
-.ad
-.sp .6
-.RS 4n
-64-bit driver binary (SPARC).
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB/kernel/drv/afe.conf\fR\fR
-.ad
-.sp .6
-.RS 4n
-Configuration file.
-.RE
-
-.SH SEE ALSO
-.sp
-.LP
-\fBndd\fR(1M), \fBdriver.conf\fR(4), \fBattributes\fR(5), \fBstreamio\fR(7I),
-\fBdlpi\fR(7P)
-.sp
-.LP
-\fIIEEE 802.3\fR \(em Institute of Electrical and Electronics Engineers, 2002
+.El
+.Sh SEE ALSO
+.Xr dladm 1M ,
+.Xr ifconfig 1M ,
+.Xr pci 4 ,
+.Xr ieee802.3 5 ,
+.Xr dlpi 7P
+.Rs
+.%T IEEE 802.3: Ethernet
+.%Q IEEE Standards Association
+.Re
--- /dev/null	Fri Aug  8 13:32:24 2014
+++ new/usr/src/man/man7d/elxl.7d	Fri Aug  8 13:32:24 2014
@@ -0,0 +1,102 @@
+.\" Copyright 2014 Garrett D'Amore <garrett@damore.org>
+.\" Redistribution and use in source and binary forms, with or without
+.\" modification, are permitted provided that the following conditions
+.\" are met:
+.\" 1. Redistributions of source code must retain the above copyright
+.\"    notice, this list of conditions and the following disclaimer.
+.\" 2. Redistributions in binary form must reproduce the above copyright
+.\"    notice, this list of conditions and the following disclaimer in the
+.\"    documentation and/or other materials provided with the distribution.
+.\"
+.\" THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDER AND CONTRIBUTORS
+.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+.\" LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
+.\" FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE
+.\" COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
+.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
+.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
+.\" USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
+.\" ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+.\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
+.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE
+.\"
+.Dd "Aug 7, 2014"
+.Dt ELXL 7D
+.Os
+.Sh NAME
+.Nm elxl
+.Nd 3Com Etherlink XL device driver
+.Sh SYNOPSIS
+.Pa /dev/elxl
+.Sh DESCRIPTION
+The
+.Nm
+driver provides support for the 3Com Etherlink XL
+family of Ethernet and Fast Ethernet PCI controllers. These are often known
+by their part numbers, most often 3c905 or 3c900 variants.
+.Lp
+The 3c905 devices generally support some form of 100 Mbps Ethernet,
+whereas the 3c900 devices usually only support 10 Mbps.  Some devices
+support legacy media such as 10BASE-15, 10BASE-2, and even 10BASE-FL.
+.
+Where applicable, the devices support auto-negotiation, both full and
+half duplex, etc.  They also support full size MTUs (1500 bytes),
+even when used with VLANs.
+.
+.Lp
+The device driver supports the
+.Xr ieee802.3 5
+properties, which can be configured with
+.Xr dladm 1M .
+.Lp
+In addition, for devices with multiple external media ports, the driver
+supports a driver-specific
+.Xr dladm 1M
+property called
+.Sy media ,
+which can take one of the following values, depending on the available
+media options on the device:
+.Lp
+.Bl -tag -compact -offset indent -width Sy
+.It Sy mii
+Media Indendent Interface (MII), also 100BASE-TX
+.It Sy tp-hdx
+10 Mbps twisted pair, half-duplex
+.It Sy tp-fdx
+10 Mbps twisted pair full-duplex
+.It Sy fx-hdx
+100BASE-FX (fiber), half-duplex
+.It Sy fx-hdx
+100BASE-FX (fiber), full-duplex
+.It Sy bnc
+10BASE-2
+.Pq BNC, aka Dq thin-net
+.It Sy aui
+10BASE-15
+.Pq aka Dq thick-net
+.It Sy fl-hdx
+10BASE-FL (fiber), half-duplex
+.It Sy fl-fdx
+10BASE-FL (fiber), full-duplex
+.El
+.Lp
+The specific media options available can be queried with the
+device-specific
+.Sy available_media
+.Xr dladm 1M
+property.
+.Sh FILES
+.Bl -tag -width /dev/elxl
+.It Pa /dev/elxl
+Special character device.
+.El
+.Sh SEE ALSO
+.Xr dladm 1M ,
+.Xr ifconfig 1M ,
+.Xr pci 4 ,
+.Xr ieee802.3 5 ,
+.Xr dlpi 7P
+.Rs
+.%T IEEE 802.3: Ethernet
+.%Q IEEE Standards Association
+.Re
--- /dev/null	Fri Aug  8 13:32:24 2014
+++ new/usr/src/man/man7d/iprb.7d	Fri Aug  8 13:32:24 2014
@@ -0,0 +1,64 @@
+.\" Copyright 2014 Garrett D'Amore <garrett@damore.org>
+.\" Redistribution and use in source and binary forms, with or without
+.\" modification, are permitted provided that the following conditions
+.\" are met:
+.\" 1. Redistributions of source code must retain the above copyright
+.\"    notice, this list of conditions and the following disclaimer.
+.\" 2. Redistributions in binary form must reproduce the above copyright
+.\"    notice, this list of conditions and the following disclaimer in the
+.\"    documentation and/or other materials provided with the distribution.
+.\"
+.\" THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDER AND CONTRIBUTORS
+.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+.\" LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
+.\" FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE
+.\" COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
+.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
+.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
+.\" USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
+.\" ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+.\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
+.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE
+.\"
+.Dd "Aug 3, 2014"
+.Dt IPRB 7D
+.Os
+.Sh NAME
+.Nm iprb
+.Nd Intel PRO/100 Fast Ethernet device driver
+.Sh SYNOPSIS
+.Pa /dev/iprb
+.Sh DESCRIPTION
+The
+.Nm
+driver provides support for the Intel PRO/100 family of Fast Ethernet
+PCI controllers. This includes support for Intel 82558, 82559, 82550,
+and 82551 parts, as well as certain controllers found on certain Intel
+southbridge controllers (ICH2 and ICH3).
+.Lp
+These devices generally support the standard Fast Ethernet features, including
+10BASE-T and 100BASE-TX, both full and half duplex operation, IEEE 802.3
+autonegotiation, etc.  They also support full size MTUs (1500 bytes),
+even when used with VLANs.  Some of them also support flow control.
+.
+.Lp
+The device driver supports the
+.Xr ieee802.3 5
+properties, which can be configured with
+.Xr dladm 1M .
+.
+.Sh FILES
+.Bl -tag -width /dev/iprb
+.It Pa /dev/iprb
+Special character device.
+.El
+.Sh SEE ALSO
+.Xr dladm 1M ,
+.Xr ifconfig 1M ,
+.Xr pci 4 ,
+.Xr ieee802.3 5 ,
+.Xr dlpi 7P
+.Rs
+.%T IEEE 802.3: Ethernet
+.%Q IEEE Standards Association
+.Re
--- old/usr/src/man/man7d/mxfe.7d	Fri Aug  8 13:32:24 2014
+++ new/usr/src/man/man7d/mxfe.7d	Fri Aug  8 13:32:24 2014
@@ -1,144 +1,62 @@
-'\" te
-.\" Copyright (c) 2001-2007 by Garrett D'Amore.
-.\" Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met: 1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
-.\" 2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution. 3. Neither the name of the author nor the names of any co-contributors may be used to endorse
-.\" or promote products derived from this software    without specific prior written permission.  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDER AND CONTRIBUTORS ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
-.\" FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
-.\" OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE
-.\" Portions Copyright (c) 2007 by Sun Microsystems, Inc.  All Rights Reserved.
-.TH MXFE 7D "Aug 31, 2007"
-.SH NAME
-mxfe \- MXFE Fast Ethernet device driver
-.SH SYNOPSIS
-.LP
-.nf
-\fB/dev/mxfe*\fR
-.fi
-
-.SH DESCRIPTION
-.sp
-.LP
-The \fBmxfe\fR is a Solaris STREAMS hardware driver supporting the Data Link
-Provider Interface (\fBdlpi\fR(7P)) over the Macronix 98715 family (including
-the Lite-On PNIC-II) of Fast Ethernet controllers.
-.SH DLPI SPECIFICATIONS
-.sp
-.LP
-The \fBmxfe\fR driver supports both style 1 and style 2 modes of operation.
-Physical points of attachment (PPAs) are interpreted as the instance number of
-the  \fBmxfe\fR controller as assigned by the operating system.
-.sp
-.LP
-The  relevant  fields  returned  as part of a DL_INFO_ACK response are:
-.RS +4
-.TP
-.ie t \(bu
-.el o
-Maximum SDU is 1500.
-.RE
-.RS +4
-.TP
-.ie t \(bu
-.el o
-Minimum SDU is 0.
-.RE
-.RS +4
-.TP
-.ie t \(bu
-.el o
-DLSAP address length is 8.
-.RE
-.RS +4
-.TP
-.ie t \(bu
-.el o
-MAC type is \fBDL_ETHER\fR.
-.RE
-.RS +4
-.TP
-.ie t \(bu
-.el o
-\fBSAP\fR length value is \fI-2\fR, meaning the physical address component is
-followed immediately by a 2-byte \fBSAP\fR component within the \fBDLSAP\fR
-address.
-.RE
-.RS +4
-.TP
-.ie t \(bu
-.el o
-Service mode is DL_CLDLS.
-.RE
-.RS +4
-.TP
-.ie t \(bu
-.el o
-Broadcast address value is the 6-byte Ethernet/IEEE broadcast address
-(ff:ff:ff:ff:ff:ff).
-.RE
-.sp
-.LP
-If the SAP provided is zero, \fIIEEE 802.3\fR mode is assumed and outbound
-frames will have the frame payload length written into the type field Likewise,
-inbound  frames with a SAP between zero and 1500 are interpreted as \fIIEEE
-802.3\fR frames and delivered to streams that have bound to SAP zero (the
-\fI802.3\fR SAP).
-.SH FILES
-.sp
-.ne 2
-.na
-\fB\fB/dev/mxfe*\fR\fR
-.ad
-.RS 28n
-Special character device
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB/kernel/drv/mxfe\fR\fR
-.ad
-.RS 28n
-32-bit driver binary (x86).
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB/kernel/drv/amd64/mxfe\fR\fR
-.ad
-.RS 28n
-64-bit ELF kernel module (x86).
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB/kernel/drv/sparcv9/mxfe\fR\fR
-.ad
-.RS 28n
-Driver binary (SPARC).
-.RE
-
-.SH ATTRIBUTES
-.sp
-.LP
-See \fBattributes\fR(5) for a description of the following attributes:
-.sp
-
-.sp
-.TS
-box;
-c | c
-l | l .
-ATTRIBUTE TYPE	ATTRIBUTE VALUE
-_
-Architecture	SPARC, x86
-.TE
-
-.SH SEE ALSO
-.sp
-.LP
-\fBifconfig\fR(1M), \fBndd\fR(1M), \fBattributes\fR(5), \fBdlpi\fR(7P)
-.sp
-.LP
-\fIIEEE 802.3\fR \(em Institute of Electrical and Electronics Engineers, 2002
+.\" Copyright 2014 Garrett D'Amore <garrett@damore.org>
+.\" Redistribution and use in source and binary forms, with or without
+.\" modification, are permitted provided that the following conditions
+.\" are met:
+.\" 1. Redistributions of source code must retain the above copyright
+.\"    notice, this list of conditions and the following disclaimer.
+.\" 2. Redistributions in binary form must reproduce the above copyright
+.\"    notice, this list of conditions and the following disclaimer in the
+.\"    documentation and/or other materials provided with the distribution.
+.\"
+.\" THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDER AND CONTRIBUTORS
+.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+.\" LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
+.\" FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE
+.\" COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
+.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
+.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
+.\" USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
+.\" ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+.\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
+.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE
+.\"
+.Dd "Aug 7, 2014"
+.Dt MXFE 7D
+.Os
+.Sh NAME
+.Nm mxfe
+.Nd Macronix Fast Ethernet device driver
+.Sh SYNOPSIS
+.Pa /dev/mxfe
+.Sh DESCRIPTION
+The
+.Nm
+driver provides support for the
+Macronix 98715 family (including the Lite-On PNIC-II) of Fast Ethernet
+PCI controllers.
+.Lp
+These devices generally support the standard Fast Ethernet features, including
+10BASE-T and 100BASE-TX, both full and half duplex operation, IEEE 802.3
+autonegotiation, etc.  They also support full size MTUs (1500 bytes),
+even when used with VLANs.
+.
+.Lp
+The device driver supports the
+.Xr ieee802.3 5
+properties, which can be configured with
+.Xr dladm 1M .
+.Sh FILES
+.Bl -tag -width /dev/mxfe
+.It Pa /dev/mxfe
+Special character device.
+.El
+.Sh SEE ALSO
+.Xr dladm 1M ,
+.Xr ifconfig 1M ,
+.Xr pci 4 ,
+.Xr ieee802.3 5 ,
+.Xr dlpi 7P
+.Rs
+.%T IEEE 802.3: Ethernet
+.%Q IEEE Standards Association
+.Re
--- /dev/null	Fri Aug  8 13:32:24 2014
+++ new/usr/src/man/man7d/rtls.7d	Fri Aug  8 13:32:24 2014
@@ -0,0 +1,62 @@
+.\" Copyright 2014 Garrett D'Amore <garrett@damore.org>
+.\" Redistribution and use in source and binary forms, with or without
+.\" modification, are permitted provided that the following conditions
+.\" are met:
+.\" 1. Redistributions of source code must retain the above copyright
+.\"    notice, this list of conditions and the following disclaimer.
+.\" 2. Redistributions in binary form must reproduce the above copyright
+.\"    notice, this list of conditions and the following disclaimer in the
+.\"    documentation and/or other materials provided with the distribution.
+.\"
+.\" THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDER AND CONTRIBUTORS
+.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+.\" LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
+.\" FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE
+.\" COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
+.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
+.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
+.\" USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
+.\" ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+.\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
+.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE
+.\"
+.Dd "Aug 3, 2014"
+.Dt RTLS 7D
+.Os
+.Sh NAME
+.Nm rtls
+.Nd RealTek Fast Ethernet device driver
+.Sh SYNOPSIS
+.Pa /dev/rtls
+.Sh DESCRIPTION
+The
+.Nm
+driver provides support for the RealTek 8139 family of Fast Ethernet
+PCI controllers.
+.Lp
+These devices generally support the standard Fast Ethernet features, including
+10BASE-T and 100BASE-TX, both full and half duplex operation, IEEE 802.3
+autonegotiation, etc.  They also support full size MTUs (1500 bytes),
+even when used with VLANs.
+.
+.Lp
+The device driver supports the
+.Xr ieee802.3 5
+properties, which can be configured with
+.Xr dladm 1M .
+.
+.Sh FILES
+.Bl -tag -width /dev/rtls
+.It Pa /dev/rtls
+Special character device.
+.El
+.Sh SEE ALSO
+.Xr dladm 1M ,
+.Xr ifconfig 1M ,
+.Xr pci 4 ,
+.Xr ieee802.3 5 ,
+.Xr dlpi 7P
+.Rs
+.%T IEEE 802.3: Ethernet
+.%Q IEEE Standards Association
+.Re
--- old/usr/src/pkg/manifests/driver-network-elxl.mf	Fri Aug  8 13:32:24 2014
+++ new/usr/src/pkg/manifests/driver-network-elxl.mf	Fri Aug  8 13:32:24 2014
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Garrett D'Amore <garrett@damore.org>
 #
 
 #
@@ -38,6 +39,8 @@
 dir path=kernel group=sys
 dir path=kernel/drv group=sys
 dir path=kernel/drv/$(ARCH64) group=sys
+dir path=usr/share/man
+dir path=usr/share/man/man7d
 driver name=elxl clone_perms="elxl 0666 root sys" perms="* 0666 root sys" \
     alias=pci10b7,9000 \
     alias=pci10b7,9001 \
@@ -56,6 +59,7 @@
     alias=pci10b7,9805
 file path=kernel/drv/$(ARCH64)/elxl group=sys
 file path=kernel/drv/elxl group=sys
+file path=usr/share/man/man7d/elxl.7d
 legacy pkg=SUNWelxl desc="3Com Etherlink XL Ethernet Driver" \
     name="3Com Etherlink XL Ethernet Driver"
 license usr/src/uts/common/io/elxl/THIRDPARTYLICENSE \
--- old/usr/src/pkg/manifests/driver-network-iprb.mf	Fri Aug  8 13:32:24 2014
+++ new/usr/src/pkg/manifests/driver-network-iprb.mf	Fri Aug  8 13:32:24 2014
@@ -22,6 +22,7 @@
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright 2010 Nexenta Systems, Inc.  All rights reserved.
+# Copyright 2014 Garrett D'Amore <garrett@damore.org>
 #
 
 #
@@ -40,6 +41,8 @@
 dir path=kernel group=sys
 dir path=kernel/drv group=sys
 dir path=kernel/drv/$(ARCH64) group=sys
+dir path=usr/share/man
+dir path=usr/share/man/man7d
 driver name=iprb clone_perms="iprb 0666 root sys" perms="* 0666 root sys" \
     alias=pci8086,1029 \
     alias=pci8086,1030 \
@@ -59,6 +62,7 @@
     alias=pci8086,27dc
 file path=kernel/drv/$(ARCH64)/iprb group=sys
 file path=kernel/drv/iprb group=sys
+file path=usr/share/man/man7d/iprb.7d
 license lic_CDDL license=lic_CDDL
 license usr/src/uts/common/io/iprb/THIRDPARTYLICENSE \
     license=usr/src/uts/common/io/iprb/THIRDPARTYLICENSE
--- old/usr/src/pkg/manifests/driver-network-rtls.mf	Fri Aug  8 13:32:24 2014
+++ new/usr/src/pkg/manifests/driver-network-rtls.mf	Fri Aug  8 13:32:24 2014
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Garrett D'Amore <garrett@damore.org>
 #
 
 #
@@ -38,6 +39,8 @@
 dir path=kernel group=sys
 dir path=kernel/drv group=sys
 dir path=kernel/drv/$(ARCH64) group=sys
+dir path=usr/share/man
+dir path=usr/share/man/man7d
 driver name=rtls clone_perms="rtls 0666 root sys" perms="* 0666 root sys" \
     alias=pci10ec,8139 \
     alias=pci1113,1211 \
@@ -45,6 +48,7 @@
     alias=pci1186,1301
 file path=kernel/drv/$(ARCH64)/rtls group=sys
 $(i386_ONLY)file path=kernel/drv/rtls group=sys
+file path=usr/share/man/man7d/rtls.7d
 legacy pkg=SUNWrtls desc="RTL Fast NIC" name="REALTEK Fast NIC"
 license cr_Sun license=cr_Sun
 license lic_CDDL license=lic_CDDL
--- old/usr/src/pkg/manifests/system-kernel.man5.inc	Fri Aug  8 13:32:25 2014
+++ new/usr/src/pkg/manifests/system-kernel.man5.inc	Fri Aug  8 13:32:25 2014
@@ -10,6 +10,8 @@
 #
 
 # Copyright 2011, Richard Lowe
+# Copyright 2014 Garrett D'Amore <garrett@damore.org>
 
 file path=usr/share/man/man5/fsattr.5
 file path=usr/share/man/man5/ieee802.11.5
+file path=usr/share/man/man5/ieee802.3.5
